Page MenuHomePhabricator

Compile release notes and gotchas for CiviCRM
Closed, ResolvedPublic

Description

Download the release notes for each release we're jumping over, https://issues.civicrm.org/jira/secure/ConfigureReleaseNote.jspa?projectId=10050&version=14990 and compile a master list. Skim this list for obvious things we have to look out for.

Ask the core team to share any gotchas.

Look out for financial-* vs contribution-*.

Related Objects

StatusAssignedTask
OpenNone
Resolvedmepps
ResolvedNone
Resolvedawight
ResolvedEileenmcnaughton
ResolvedNone
ResolvedEileenmcnaughton
ResolvedNone
Resolvedawight
ResolvedDStrine
ResolvedEileenmcnaughton
ResolvedEileenmcnaughton
DeclinedEileenmcnaughton
Resolvedawight
Resolvedawight
Resolvedawight
Resolvedawight
OpenEileenmcnaughton
ResolvedNone
Resolvedawight

Event Timeline

awight created this task.May 20 2015, 9:43 PM
awight raised the priority of this task from to Normal.
awight updated the task description. (Show Details)
awight added subscribers: gerritbot, awight, atgo, Aklapper.
atgo set Security to None.
atgo renamed this task from Compile release notes and gotchas to Compile release notes and gotchas for CiviCRM.Jul 31 2015, 9:14 PM
atgo removed a project: Fundraising-Backlog.

Significant changes to CiviCRM architecture since 4.2:

4.3 - restructure civicrm to hold financial transaction records. For WMF purposes this is probably not going to be terribly important as contribution records are still the main source of reporting

  • rename contribution_type to financial_type. Note the api still provides some support for contribution type

4.4 - civicrm_activitiy assignee, source & target tables/ fields turned into civicrm_activity_contact table

  • introduce civicrm_contact.modified_date field - updated by triggers

4.5 mostly UI - much more standardisation about holding metadata for fields - changes to pseudoconstant functions (picked up in tests)

4.6 New CiviMail interface. There was a change to getting smart groups in search that I reverted

awight moved this task from Backlog to Review on the Fundraising Sprint UB40 board.
awight renamed this task from Compile release notes and gotchas for CiviCRM to Compile release notes and gotchas for CiviCRM, retrain.Oct 27 2015, 5:16 PM
awight renamed this task from Compile release notes and gotchas for CiviCRM, retrain to Compile release notes and gotchas for CiviCRM.
awight closed this task as Resolved.
awight claimed this task.
awight edited a custom field.
awight edited a custom field.
mmodell removed a subscriber: awight.Jun 22 2017, 9:38 PM
DStrine moved this task from Review to Done on the Fundraising Sprint UB40 board.Oct 20 2017, 9:33 PM